OptimizeCurveBuilder Class

class NXOpen.Features.OptimizeCurveBuilder

Bases: NXOpen.Builder

Represents a builder of optimize curve

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateOptimizeCurveBuilder()

Default values.

Property Value
CreateSketch 0
IncludePoints 1

New in version NX10.0.0.

Properties

Property Description
AngleThreshold Returns or sets the angle threshold
CreateSketch Returns or sets the create sketch flag.
CurvesToOptimize Returns the curves and points to optimize.
DestinationCsys Returns or sets the destination csys as global axis.
DistanceThreshold Returns or sets the distance threshold
IncludePoints Returns or sets the include points flag.
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

AngleThreshold

OptimizeCurveBuilder.AngleThreshold

Returns or sets the angle threshold

-------------------------------------

Getter Method

Signature AngleThreshold

Returns:
Return type:float

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature AngleThreshold

Parameters:angleThreshold (float) –

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

CreateSketch

OptimizeCurveBuilder.CreateSketch

Returns or sets the create sketch flag.

If true, creates a sketch and add the optimized curves to the sketch, else doesn’t.

-------------------------------------

Getter Method

Signature CreateSketch

Returns:
Return type:bool

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature CreateSketch

Parameters:createSketch (bool) –

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

CurvesToOptimize

OptimizeCurveBuilder.CurvesToOptimize

Returns the curves and points to optimize.

-------------------------------------

Getter Method

Signature CurvesToOptimize

Returns:
Return type:NXOpen.SelectDisplayableObjectList

New in version NX10.0.0.

License requirements: None.

DestinationCsys

OptimizeCurveBuilder.DestinationCsys

Returns or sets the destination csys as global axis.

-------------------------------------

Getter Method

Signature DestinationCsys

Returns:
Return type:NXOpen.CoordinateSystem

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DestinationCsys

Parameters:destinationCsys (NXOpen.CoordinateSystem) –

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

DistanceThreshold

OptimizeCurveBuilder.DistanceThreshold

Returns or sets the distance threshold

-------------------------------------

Getter Method

Signature DistanceThreshold

Returns:
Return type:float

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DistanceThreshold

Parameters:distanceThreshold (float) –

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

IncludePoints

OptimizeCurveBuilder.IncludePoints

Returns or sets the include points flag.

If true, includes points for optimization, else doesn’t

-------------------------------------

Getter Method

Signature IncludePoints

Returns:
Return type:bool

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature IncludePoints

Parameters:includePoints (bool) –

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Method Detail

Validate

OptimizeCurveBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.